SASL_CHALPROMPT_T(3)

NAME
sasl_chalprompt_t - Cyrus SASL documentation

SYNOPSIS

#include <sasl/prop.h>
int sasl_chalprompt_t(void *context, int id,
    const char *challenge,
    const char *prompt, const char *defresult,
    const char **result, unsigned *len)

DESCRIPTION

int sasl_chalprompt_t(void *context,

int id,

const char *challenge,

const char *prompt,

const char *defresult,

const char **result,

unsigned *len)
    sasl_chalprompt_t is used to prompt for input in response to a server challenge.

Parameters

•   context – is the context from the callback record

•   id – is the callback id (either SASL_CB_ECHOPROMPT or SASL_CB_NOECHOPROMPT)

•   challenge – the server’s challenge

•   prompt – A prompt for the user

•   defresult – Default result (may be NULL)

•   len – Length of the user’s response.

Result
    The user’s response (a NUL terminated string) or SASL error code.

RETURN VALUE

The user’s response (NUL terminated), or a SASL error code. See sasl_errors(3).

SEE ALSO

sasl(3), sasl_errors(3), sasl_callbacks(3)

AUTHOR
The Cyrus Team

COPYRIGHT
1993-2016, The Cyrus Team